- Home
- API Enriched
- Shape
- shape
- Insight Unaddressed Automations.
Insight Unaddressed Automations.
POST
/api/shape/bot/namespaces/{namespace}/reporting/insight/event/unaddressed-automations
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/reporting/insight/event/unaddressed-automations';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"date":"example","namespace":"example","region":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/reporting/insight/event/unaddressed-automations \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "date": "example", "namespace": "example", "region": "example" }'Insight Unaddressed Automations.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace
x-required Namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Insight Request
Insight Request.
object
date
Date
Date Format: YYYY/MM/DD Required: YES.
string
namespace
Namespace
Namespace Required: YES.
string
region
Region
Region Required: YES.
string
Examplegenerated
{ "date": "example", "namespace": "example", "region": "example"}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
Insight Unaddressed Automations Response
Insight Unaddressed Automations Response.
object
bad_bots
Bad Bots
Bad Bots
number format: double
create_date
Create Date
UTC Create Date in seconds.
number format: double
flagged_endpoints
Flagged Endpoints
Flagged Endpoints.
string format: uint64
unaddressed
Unaddressed
Unaddressed.
number format: double
Examplegenerated
{ "bad_bots": 1, "create_date": 1, "flagged_endpoints": "example", "unaddressed": 1}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example